var MapData = function()
{
	var map = {};
	var debug = 0;
	
	map.initPage = function()
	{
		// Step 1
		Events.addEventHandler('step-1', 'wizard-validate', map.validateStep1);
		Wizard.initFileSelectionField('file');
		
		// Navigation
		Buttons.addClickHandler('gocancel', Wizard.cancelWizard);
		Buttons.addClickHandler('gorestart', Wizard.restartWizard);
		Buttons.addClickHandler('goexport', Wizard.goRegister);
		Buttons.addClickHandler('godownload', map.download);

		// Final registration
		Events.addEventHandler('wizard', 'wizard-submit', map.submit);
		
		Relax.checkIsAdmin('"MapDataToReleases" wizard', 
			function()
			{
				Doc.show('step-1');
				Doc.show('goexport');
			});
	}
	
	map.validateStep1 = function(event)
	{
		var valid = true;
		valid &= Wizard.isValid('file');
		if (!valid) event.preventDefault();
	}

	map.submit = function()
	{
		var frm = document.forms['reggie'];
		
		var formData = new FormData();
		var file = frm.file.files[0];
		formData.append('file', file, file.name);

		var url = '../Export.servlet?ID='+App.getSessionId();
		url += '&cmd=MapDataToReleases';

		Wizard.showLoadingAnimation('Working...', 'map-data-progress');
		Wizard.asyncJsonRequest(url, map.submissionResults, 'POST', formData);
	}

	map.submissionResults = function(response)
	{
		Wizard.showFinalMessage(response.messages);
		Wizard.showGoNextConfirmation(false, 'NOTE! The file will be deleted after 3 minutes');
		Doc.show('godownload');
	}
	
	map.download = function()
	{
		var url = '../Export.servlet?ID='+App.getSessionId();
		url += '&cmd=DownloadMappedData';
		location.href = url;
		Doc.show('gorestart');
	}

	return map;
}();

Doc.onLoad(MapData.initPage);

